Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.admin
Class AdminPageBean.Breadcrumb

    java.lang.Object
      org.jivesoftware.admin.AdminPageBean.Breadcrumb

Enclosing class:
  AdminPageBean

    public static class AdminPageBean.Breadcrumb

extends Object

A simple model of a breadcrumb. A bread crumb is a link with a display name.

Constructor Summary
`AdminPageBean.Breadcrumb(String name, String url)` Creates a crumb given a name an URL.

Method Summary
`String` | `getName()` Returns the name, with HTML escaped.
`String` | `getUrl()` Returns the URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminPageBean.Breadcrumb

    public AdminPageBean.Breadcrumb(String name,
                                    String url)

  Creates a crumb given a name an URL.

Method Detail

### getName

    public String getName()

  Returns the name, with HTML escaped.

### getUrl

    public String getUrl()

  Returns the URL.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.